* This script matches pr0duct names in the pesticide dataset to HS8 digit product names in the trade data
use "$SwissMRL/Data/mrl_data_v3", clear
gen str hs8 = ""
replace hs8 = "12122099" if crop == "ALGAE/SEAWEEDS-EDIBLE: OTHERS"
replace hs8 = "09030000" if crop == "MATE/YERBA-MATE"
replace hs8 = "08044000" if crop == "AVOCADO"
replace hs8 = "14010999" if crop == "BAMBOO: SHOOTS"
replace hs8 = "08030999" if crop == "BANANAS"
replace hs8 = "08104000" if crop == "BILBERRIES"


replace hs8 = "08021199" if crop == "ALMONDS"
expand 2 if hs8 == "08021199" & crop == "ALMONDS",  gen(newobs)
replace hs8 = "08021099" if newobs == 1
drop newobs


replace hs8 = "08081010" if crop == "APPLE"
expand 8 if hs8 == "08081010", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "08081019" if number == 1
replace hs8 = "08081021" if number == 2
replace hs8 = "08081029" if number == 3
replace hs8 = "08081030" if number == 4
replace hs8 = "08081032" if number == 5
replace hs8 = "08081038" if number == 6
replace hs8 = "08132999" if number == 7
drop newobs number


replace hs8 = "08091010" if crop == "APRICOTS"
expand 7 if hs8 == "08091010", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "08091018" if number == 1
replace hs8 = "08091019" if number == 2
replace hs8 = "08091090" if number == 3
replace hs8 = "08091098" if number == 4
replace hs8 = "08091099" if number == 5
replace hs8 = "08130999" if number == 6
drop newobs number


replace hs8 = "07092009" if crop == "ASPARAGUS"
expand 4 if hs8 == "07092009", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07092011" if number == 1
replace hs8 = "07092019" if number == 2
replace hs8 = "07092089" if number == 3
drop newobs number


replace hs8 = "10030999" if crop == "BARLEY"
expand 14 if hs8 == "10030999", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "10039010" if number == 1
replace hs8 = "10039019" if number == 2
replace hs8 = "10039030" if number == 3
replace hs8 = "10039041" if number == 4
replace hs8 = "10039049" if number == 5
replace hs8 = "10039050" if number == 6
replace hs8 = "10039058" if number == 7
replace hs8 = "10039060" if number == 8
replace hs8 = "10039089" if number == 9
replace hs8 = "11042930" if number == 10
replace hs8 = "11042932" if number == 11
replace hs8 = "11042933" if number == 12
replace hs8 = "11042939" if number == 13
drop newobs number


replace hs8 = "07082031" if crop == "BEANS-ASPARAGUS/STRING/YARD-LONG"
expand 3 if hs8 == "07082031", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07082037" if number == 1
replace hs8 = "07082039" if number == 2
drop newobs number


replace hs8 = "07135012" if crop == "BEANS-BROAD: DRY"
expand 5 if hs8 == "07135012", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07135017" if number == 1
replace hs8 = "07135018" if number == 2
replace hs8 = "07135090" if number == 3
replace hs8 = "07135098" if number == 4
drop newobs number


replace hs8 = "07133311" if crop == "BEANS-KIDNEY"
expand 3 if hs8 == "07133311", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07133319" if number == 1
replace hs8 = "07133399" if number == 2
drop newobs number


replace hs8 = "07069011" if crop == "BEET-RED/BEETROOT"
expand 3 if hs8 == "07069011", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07069017" if number == 1
replace hs8 = "07069019" if number == 2
drop newobs number


replace hs8 = "08102020" if crop == "BLACKBERRIES"
expand 2 if hs8 == "08102020", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "08102028" if number == 1
drop newobs number


replace hs8 = "07108010" if crop == "BROCCOLI"
expand 5 if hs8 == "07108010", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07108018" if number == 1
replace hs8 = "07049050" if number == 2
replace hs8 = "07049050" if number == 3
replace hs8 = "07049058" if number == 4
drop newobs number


replace hs8 = "07042009" if crop == "BRUSSELS-SPROUTS"
expand 3 if hs8 == "07042009", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07042011" if number == 1
replace hs8 = "07042019" if number == 2
drop newobs number


replace hs8 = "10081010" if crop == "BUCKWHEAT"
expand 7 if hs8 == "10081010", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "10081021" if number == 1
replace hs8 = "10081029" if number == 2
replace hs8 = "10081030" if number == 3
replace hs8 = "10081038" if number == 4
replace hs8 = "10081040" if number == 5
replace hs8 = "10081090" if number == 6
drop newobs number


replace hs8 = "07049060" if crop == "CABBAGE-CHINESE"
expand 2 if hs8 == "07049060", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07049061" if number == 1
drop newobs number


replace hs8 = "07051190" if crop == "CABBAGE-HEAD/WHITE"
expand 2 if hs8 == "07051190", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07051198" if number == 1
drop newobs number


replace hs8 = "07049011" if crop == "CABBAGE-RED"
expand 2 if hs8 == "07049011", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07049017" if number == 1
drop newobs number


replace hs8 = "07049020" if crop == "CABBAGE-WHITE"
expand 2 if hs8 == "07049020", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07049028" if number == 1
drop newobs number


replace hs8 = "07049030" if crop == "CABBAGE-SAVOY"
expand 5 if hs8 == "07049030" , gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07049038" if number == 1
replace hs8 = "07049039" if number == 2
replace hs8 = "07049041" if number == 3
replace hs8 = "07049049" if number == 4
drop newobs number


replace hs8 = "18010000" if crop == "CACAO: BEANS"
replace hs8 = "08119020" if crop == "CARAMBOLA/STAR-FRUIT"

replace hs8 = "09096110" if crop == "CARAWAY"
expand 2 if hs8 == "09096110", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "09096209" if number == 1
drop newobs number


replace hs8 = "09083099" if crop == "CARDAMOM"
expand 2 if hs8 == "09083099", gen(newobs)
replace hs8 = "09083200" if newobs == 1
drop newobs 


replace hs8 = "07099910" if crop == "CARDOON/ARTICHOKE-THISTLE"
expand 2 if hs8 == "07099910", gen(newobs)
replace hs8 = "07099918" if newobs == 1
drop newobs 


replace hs8 = "12129290" if crop == "CAROBS/ST-JOHNS-BREAD"
expand 2 if hs8 == "12129290", gen(newobs)
replace hs8 = "12129299" if newobs == 1
drop newobs 


replace hs8 = "12129290" if crop == "CAROBS/SAINT-JOHN'S-BREADS"
expand 2 if hs8 == "12129290", gen(newobs)
replace hs8 = "12129299" if newobs == 1
drop newobs 


replace hs8 = "07061010" if crop == "CARROTS"
expand 4 if hs8 == "07061010", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07061019" if number == 1
replace hs8 = "07061021" if number == 2
replace hs8 = "07061029" if number == 3
drop newobs number


replace hs8 = "07141010" if crop == "CASSAVA"
expand 2 if hs8 == "07141010", gen(newobs)
replace hs8 = "07141090" if newobs == 1 
drop newobs 


replace hs8 = "07041010" if crop == "CAULIFLOWER"
expand 6 if hs8 == "07041010", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07041019" if number == 1
replace hs8 = "07041021" if number == 2
replace hs8 = "07041029" if number == 3
replace hs8 = "07041090" if number == 4
replace hs8 = "07041099" if number == 5
drop newobs number


replace hs8 = "07069030" if crop == "CELERIAC"
expand 2 if hs8 == "07069030", gen(newobs)
replace hs8 = "07069038" if newobs == 1
drop newobs 


replace hs8 = "07094010" if crop == "CELERY"
expand 8 if hs8 == "07094010", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07094011" if number == 1
replace hs8 = "07094019" if number == 2
replace hs8 = "07094020" if number == 3
replace hs8 = "07094028" if number == 4
replace hs8 = "07094089" if number == 5
replace hs8 = "07094091" if number == 6
replace hs8 = "07094099" if number == 7
drop newobs number


replace hs8 = "07099959" if crop == "CHARD-SWISS"
expand 3 if hs8 == "07099959", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07099960" if number == 1
replace hs8 = "07099968" if number == 2
drop newobs number


replace hs8 = "08092109" if crop == "CHERRIES-SOUR"
expand 3 if hs8 == "08092109", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "08092111" if number == 1
replace hs8 = "08092119" if number == 2
drop newobs number


replace hs8 = "08092910" if crop == "CHERRIES"
expand 2 if hs8 == "08092910", gen(newobs)
replace hs8 = "08092918" if newobs == 1
drop newobs 


replace hs8 = "08024099" if crop == "CHESTNUTS"
expand 2 if hs8 == "08024099", gen(newobs)
replace hs8 = "08024199" if newobs == 1
drop newobs 


replace hs8 = "12129410" if crop == "CHICORY-LARGE-ROOTED"
expand 2 if hs8 == "12129410", gen(newobs)
replace hs8 = "12129489" if newobs == 1
drop newobs 


replace hs8 = "07052109" if crop == "CHICORY-WITLOOF"
expand 3 if hs8 == "07052109", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07052111" if number == 1
replace hs8 = "07052119" if number == 2
drop newobs number


replace hs8 = "07052969" if crop == "CHICORY-SUGAR-LOAF/SUCCORY"
expand 3 if hs8 == "07052969", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07052971" if number == 1
replace hs8 = "07052979" if number == 2
drop newobs number


replace hs8 = "09061099" if crop == "CINNAMON"
expand 3 if hs8 == "09061099", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "09061900" if number == 1
replace hs8 = "09062000" if number == 2
drop newobs number


replace hs8 = "08059000" if crop == "CITRUS: OTHER"
replace hs8 = "08052199" if crop == "CLEMENTINES"

replace hs8 = "09070999" if crop == "CLOVES"
expand 2 if hs8 == "09070999", gen(newobs)
replace hs8 = "09072000" if newobs == 1
drop newobs 


replace hs8 = "08011099" if crop == "COCONUTS"
expand 3 if hs8 == "08011099", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "08011199" if number == 1
replace hs8 = "08011900" if number == 2
drop newobs number


replace hs8 = "09011099" if crop == "COFFEE: BEANS"
expand 4 if hs8 == "09011099", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "09011199" if number == 1
replace hs8 = "09012100" if number == 2
replace hs8 = "09012199" if number == 3
drop newobs number


replace hs8 = "09092100" if crop == "CORIANDER: SEEDS"
expand 2 if hs8 == "09092100", gen(newobs)
replace hs8 = "09092199" if newobs == 1
drop newobs 


replace hs8 = "10050999" if crop == "CORN"
expand 7 if hs8 == "10050999", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "10059028" if number == 1
replace hs8 = "10059030" if number == 2
replace hs8 = "10059038" if number == 3
replace hs8 = "10059039" if number == 4
replace hs8 = "10059089" if number == 5
replace hs8 = "10059020" if number == 6
drop newobs number


replace hs8 = "07099990" if crop == "CORN-SWEET"

replace hs8 = "12072099" if crop == "COTTONSEED"
expand 4 if hs8 == "12072099", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "12072910" if number == 1
replace hs8 = "12072990" if number == 2
replace hs8 = "12072999" if number == 3
drop newobs number


replace hs8 = "08104000" if crop == "CRANBERRIES"
replace hs8 = "07099979" if crop == "CRESS-WATER"

replace hs8 = "07070009" if crop == "CUCUMBERS"
expand 9 if hs8 == "07070009", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07070010" if number == 1
replace hs8 = "07070018" if number == 2
replace hs8 = "07070020" if number == 3
replace hs8 = "07070029" if number == 4
replace hs8 = "07070031" if number == 5
replace hs8 = "07070039" if number == 6
replace hs8 = "07070040" if number == 7
replace hs8 = "07070048" if number == 8
drop newobs number


replace hs8 = "09093099" if crop == "CUMIN"
expand 2 if hs8 == "09093099", gen(newobs)
replace hs8 = "09093200" if newobs == 1
drop newobs 


replace hs8 = "09102999" if crop == "CURCUMA/TURMERIC: ROOT"

replace hs8 = "08103021" if crop == "CURRANTS"
expand 2 if hs8 == "08103021", gen(newobs)
replace hs8 = "08103029" if newobs == 1
drop newobs 


replace hs8 = "08040999" if crop == "DATE"
replace hs8 = "08105999" if crop == "DURIAN"

replace hs8 = "07093010" if crop == "EGGPLANT/AUBERGINE"
expand 2 if hs8 == "07093010", gen(newobs)
replace hs8 = "07093018" if newobs == 1
drop newobs 


replace hs8 = "08134019" if crop == "ELDERBERRIES"

replace hs8 = "07052910" if crop == "ESCAROLE/BROAD-LEAVED-ENDIVE"
expand 2 if hs8 == "07052910", gen(newobs)
replace hs8 = "07052918" if newobs == 1
drop newobs 


replace hs8 = "08042009" if crop == "FIGS"
expand 2 if hs8 == "08042009", gen(newobs)
replace hs8 = "08042020" if newobs == 1
drop newobs 


replace hs8 = "12040009" if crop == "FLAX/LINSEED"
expand 4 if hs8 == "12040009", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "12040024" if number == 1
replace hs8 = "12040091" if number == 2
replace hs8 = "12040098" if number == 3
drop newobs number


replace hs8 = "07032000" if crop == "GARLIC"
replace hs8 = "07070050" if crop == "GHERKIN/PICKLING-CUCUMBER"

replace hs8 = "09101099" if crop == "GINGER"
expand 2 if hs8 == "09101099", gen(newobs)
replace hs8 = "09101199" if newobs == 1
drop newobs 


replace hs8 = "12111999" if crop == "GINSENG/PANAX"
replace hs8 = "08103012" if crop == "GOOSEBERRIES"
replace hs8 = "07099299" if crop == "GOURD/MARROW/SQUASH"
replace hs8 = "07099299" if crop == "GOURD/MARROW/SQUASH-WINTER"
replace hs8 = "08054000" if crop == "GRAPEFRUIT"

replace hs8 = "08061010" if crop == "GRAPES: TABLE"
expand 2 if hs8 == "08061010", gen(newobs)
replace hs8 = "08061011" if newobs == 1
drop newobs 


replace hs8 = "08061021" if crop == "GRAPES: JUICE"
expand 2 if hs8 == "08061021", gen(newobs)
replace hs8 = "08061029" if newobs == 1
drop newobs 


replace hs8 = "12023000" if crop == "GROUNDNUT/PEANUTS"
expand 8 if hs8 == "12023000", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "12024110" if number == 1
replace hs8 = "12024190" if number == 2
replace hs8 = "12024199" if number == 3
replace hs8 = "12024223" if number == 4
replace hs8 = "12024290" if number == 5
replace hs8 = "12024299" if number == 6
replace hs8 = "12024210" if number == 7
drop newobs number


replace hs8 = "08045000" if crop == "GUAVAS"

replace hs8 = "08022109" if crop == "HAZELNUTS"
expand 6 if hs8 == "08022109", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "08022119" if number == 1
replace hs8 = "08022189" if number == 2
replace hs8 = "08022210" if number == 3
replace hs8 = "08022219" if number == 4
replace hs8 = "08022290" if number == 5
drop newobs number


replace hs8 = "07049080" if crop == "KALE"
expand 2 if hs8 == "07049080", gen(newobs)
replace hs8 = "07049088" if newobs == 1
drop newobs 


replace hs8 = "08105000" if crop == "KIWI"

replace hs8 = "07049069" if crop == "KOHLRABI"
expand 3 if hs8 == "07049069", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07049071" if number == 1
replace hs8 = "07049078" if number == 2
drop newobs number


replace hs8 = "07039010" if crop == "LEEKS"
expand 3 if hs8 == "07039010", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07039011" if number == 1
replace hs8 = "7039019" if number == 2
drop newobs number


replace hs8 = "08055000" if crop == "LEMONS"

replace hs8 = "07134011" if crop == "LENTILS: DRY"
expand 4 if hs8 == "07134011", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07134019" if number == 1
replace hs8 = "07134091" if number == 2
replace hs8 = "07134099" if number == 3
drop newobs number


replace hs8 = "07051110" if crop == "LETTUCE-CRISPHEAD/ICEBERG"
expand 4 if hs8 == "07051110", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07051118" if number == 1
replace hs8 = "07051119" if number == 2
replace hs8 = "07051121" if number == 3
replace hs8 = "07051129" if number == 4
drop newobs number


replace hs8 = "07051190" if crop == "LETTUCE-HEAD-VARIETIES"
expand 2 if hs8 == "07051190", gen(newobs)
replace hs8 = "07051198" if newobs == 1
drop newobs 


replace hs8 = "07049089" if crop == "LETTUCE-AND-SIMILAR: OTHERS"
replace hs8 = "07049089" if crop == "LETTUCE"
replace hs8 = "08055000" if crop == "LIMES"
replace hs8 = "08102030" if crop == "LOGANBERRIES"

replace hs8 = "09082100" if crop == "MACE"
expand 2 if hs8 == "09082100", gen(newobs)
replace hs8 = "09082199" if newobs == 1
drop newobs 


replace hs8 = "08052000" if crop == "MANDARINS"
expand 2 if hs8 == "08052000", gen(newobs)
replace hs8 = "08052100" if newobs == 1
drop newobs 


replace hs8 = "08045000" if crop == "MANGO"
replace hs8 = "08071900" if crop == "MELON"

replace hs8 = "10082100" if crop == "MILLET"
expand 8 if hs8 == "10082100", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "10082910" if number == 1
replace hs8 = "10082921" if number == 2
replace hs8 = "10082929" if number == 3
replace hs8 = "10082930" if number == 4
replace hs8 = "10082938" if number == 5
replace hs8 = "10082940" if number == 6
replace hs8 = "10082990" if number == 7
drop newobs number


replace hs8 = "08102030" if crop == "MULBERRIES"
replace hs8 = "08093020" if crop == "NECTARINES"
replace hs8 = "07099199" if crop == "OLIVES"

replace hs8 = "12075009" if crop == "MUSTARD: SEEDS"
expand 5 if hs8 == "12075009", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "12075023" if number == 1
replace hs8 = "12075024" if number == 2
replace hs8 = "12075091" if number == 3
replace hs8 = "12075098" if number == 4
drop newobs number


replace hs8 = "09081099" if crop == "NUTMEG"
expand 2 if hs8 == "09081099", gen(newobs)
replace hs8 = "09081199" if newobs == 1
drop newobs 


replace hs8 = "08012100" if crop == "NUTS-BRAZIL"
expand 2 if hs8 == "08012100", gen(newobs)
replace hs8 = "08012199" if newobs == 1
drop newobs 


replace hs8 = "08013099" if crop == "NUTS-CASHEW"
expand 2 if hs8 == "08013099", gen(newobs)
replace hs8 = "08013200" if newobs == 1
drop newobs 


replace hs8 = "08026099" if crop == "NUTS-MACADAMIA"
expand 2 if hs8 == "08026099", gen(newobs)
replace hs8 = "08026199" if newobs == 1
drop newobs 


replace hs8 = "12071009" if crop == "NUTS-PALM"
expand 3 if hs8 == "12071009", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "12071091" if number == 1
replace hs8 = "12071098" if number == 2
drop newobs number


replace hs8 = "10040999" if crop == "OATS"
expand 7 if hs8 == "10040999", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "10049010" if number == 1
replace hs8 = "10049020" if number == 2
replace hs8 = "10049028" if number == 3
replace hs8 = "10049038" if number == 4
replace hs8 = "10049039" if number == 5
replace hs8 = "10049089" if number == 6
drop newobs number


replace hs8 = "15091009" if crop == "OLIVES: OIL"
expand 6 if hs8 == "15091009", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "15091091" if number == 1
replace hs8 = "15091098" if number == 2
replace hs8 = "15099010" if number == 3
replace hs8 = "15099090" if number == 4
replace hs8 = "15099099" if number == 5
drop newobs number


replace hs8 = "07031010" if crop == "ONIONS"
expand 18 if hs8 == "07031010", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07031013" if number == 1
replace hs8 = "07031019" if number == 2
replace hs8 = "07031021" if number == 3
replace hs8 = "07031029" if number == 4
replace hs8 = "07031030" if number == 5
replace hs8 = "07031038" if number == 6
replace hs8 = "07031040" if number == 7
replace hs8 = "07031041" if number == 8
replace hs8 = "07031049" if number == 9
replace hs8 = "07031051" if number == 10
replace hs8 = "07031058" if number == 11
replace hs8 = "07031060" if number == 12
replace hs8 = "07031060" if number == 13
replace hs8 = "07031068" if number == 14
replace hs8 = "07031069" if number == 15
replace hs8 = "07031071" if number == 16
replace hs8 = "07031079" if number == 17
drop newobs number


replace hs8 = "08050999" if crop == "ORANGES"
replace hs8 = "08072000" if crop == "PAPAYA"

replace hs8 = "12071009" if crop == "PALM-KERNELS"
expand 3 if hs8 == "12071009", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "12071091" if number == 1
replace hs8 = "12071098" if number == 2
drop newobs number


replace hs8 = "15111009" if crop == "PALM: OIL"
expand 7 if hs8 == "15111009", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "15111090" if number == 1
replace hs8 = "15119011" if number == 2
replace hs8 = "15119018" if number == 3
replace hs8 = "15119090" if number == 4
replace hs8 = "15119097" if number == 5
replace hs8 = "15119099" if number == 6
drop newobs number


replace hs8 = "07099940" if crop == "PARSLEY"
expand 2 if hs8 == "07099940", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07099948" if number == 2
drop newobs number


replace hs8 = "08093010" if crop == "PEACHES"
replace hs8 = "08093010" if crop == "PEACHES: INCL.-NEC.&SIM.-HYB."

replace hs8 = "08083010" if crop == "PEAR"
expand 7 if hs8 == "08083010", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "08083018" if number == 1
replace hs8 = "08083021" if number == 2
replace hs8 = "08083029" if number == 3
replace hs8 = "08083031" if number == 4
replace hs8 = "08083032" if number == 5
replace hs8 = "08083038" if number == 6
drop newobs number


replace hs8 = "07132011" if crop == "PEAS-CHICK: DRY"
expand 4 if hs8 == "07132011", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07132019" if number == 1
replace hs8 = "07132091" if number == 2
replace hs8 = "07132098" if number == 3
drop newobs number


replace hs8 = "07133519" if crop == "PEAS-COW"
expand 3 if hs8 == "07133519", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07133590" if number == 1
replace hs8 = "07133599" if number == 2
drop newobs number


replace hs8 = "07081010" if crop == "PEAS-SNAP-SUGAR"
expand 3 if hs8 == "07081010", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07081010" if number == 1
replace hs8 = "07081019" if number == 2
drop newobs number


replace hs8 = "07131010" if crop == "PEAS: DRY"
expand 5 if hs8 == "07131010", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07131011" if number == 1
replace hs8 = "07131019" if number == 2
replace hs8 = "07131090" if number == 3
replace hs8 = "07131099" if number == 4
drop newobs number


replace hs8 = "07133590" if crop == "PEAS-COW: DRY"
expand 2 if hs8 == "07133590", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07133599" if number == 1
drop newobs number


replace hs8 = "07096010" if crop == "PEPPER-BELL/SWEET"
expand 2 if hs8 == "07096010", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07096011" if number == 1
drop newobs number


replace hs8 = "09041099" if crop == "PEPPER-BLACK"
expand 2 if hs8 == "09041099", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "09041199" if number == 1
drop newobs number


replace hs8 = "09041099" if crop == "PEPPER-BLACK/GREEN/WHITE"
expand 2 if hs8 == "09041099", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "09041199" if number == 1
drop newobs number


replace hs8 = "09041099" if crop == "PEPPER-CHILLIES"
expand 2 if hs8 == "09041099", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "09041199" if number == 1
drop newobs number


replace hs8 = "09041099" if crop == "PEPPER-LONG"
expand 2 if hs8 == "09041099", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "09041199" if number == 1
drop newobs number


replace hs8 = "08030999" if crop == "PLANTAINS"
replace hs8 = "08107000" if crop == "PERSIMMON"
replace hs8 = "08107000" if crop == "PERSIMMON-AMERICAN"
replace hs8 = "08042999" if crop == "PINEAPPLE"
replace hs8 = "08054000" if crop == "POMELO"

replace hs8 = "08025100" if crop == "PISTACHIOS"
expand 2 if hs8 == "08025100", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "08025200" if number == 1
drop newobs number


replace hs8 = "08094011" if crop == "PLUMS-EUROPEAN"
expand 6 if hs8 == "08094011", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "08094013" if number == 1
replace hs8 = "08094014" if number == 2
replace hs8 = "08094091" if number == 3
replace hs8 = "08094093" if number == 4
replace hs8 = "08094094" if number == 5
drop newobs number


replace hs8 = "12079111" if crop == "POPPY-OPIUM: SEEDS"
expand 4 if hs8 == "12079111", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "12079113" if number == 1
replace hs8 = "12079117" if number == 2
replace hs8 = "12079118" if number == 3
drop newobs number


replace hs8 = "07142009" if crop == "POTATOES-SWEET"
expand 2 if hs8 == "07142009", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07142089" if number == 1
drop newobs number


replace hs8 = "07011010" if crop == "POTATOES"
expand 7 if hs8 == "07011010", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07011090" if number == 1
replace hs8 = "07019010" if number == 2
replace hs8 = "07019091" if number == 3
replace hs8 = "07019099" if number == 4
replace hs8 = "07101010" if number == 5
replace hs8 = "07101090" if number == 6
drop newobs number


replace hs8 = "07099299" if crop == "PUMPKIN/SQUASH"

replace hs8 = "08084011" if crop == "QUINCE"
expand 7 if hs8 == "08084011", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "08084020" if number == 1
replace hs8 = "08084022" if number == 2
replace hs8 = "08084028" if number == 3
replace hs8 = "08084030" if number == 4
replace hs8 = "08084031" if number == 5
replace hs8 = "08084038" if number == 6
drop newobs number


replace hs8 = "07069050" if crop == "RADISH/CHARLOCK"
expand 5 if hs8 == "07069050", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07069058" if number == 1
replace hs8 = "07069060" if number == 2
replace hs8 = "07069061" if number == 3
replace hs8 = "07069069" if number == 4
drop newobs number


replace hs8 = "08102009" if crop == "RASPBERRIES"
expand 3 if hs8 == "08102009", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "08102011" if number == 1
replace hs8 = "08102019" if number == 2
drop newobs number


replace hs8 = "07099929" if crop == "RHUBARB"
expand 3 if hs8 == "07099929", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07099931" if number == 1
replace hs8 = "07099938" if number == 2
drop newobs number


replace hs8 = "10061010" if crop == "RICE"
expand 13 if hs8 == "10061010", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "10061021" if number == 1
replace hs8 = "10061029" if number == 2
replace hs8 = "10061090" if number == 3
replace hs8 = "10062028" if number == 4
replace hs8 = "10062089" if number == 5
replace hs8 = "10063010" if number == 6
replace hs8 = "10063021" if number == 7
replace hs8 = "10063029" if number == 8
replace hs8 = "10063090" if number == 9
replace hs8 = "10064010" if number == 10
replace hs8 = "10064028" if number == 11
replace hs8 = "10064089" if number == 12
drop newobs number


replace hs8 = "10020999" if crop == "RYE"
expand 7 if hs8 == "10020999", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "10029010" if number == 1
replace hs8 = "10029020" if number == 2
replace hs8 = "10029028" if number == 3
replace hs8 = "10029038" if number == 4
replace hs8 = "10029039" if number == 5
replace hs8 = "10029089" if number == 6
drop newobs number


replace hs8 = "12076009" if crop == "SAFFLOWER: SEEDS"
expand 3 if hs8 == "12076009", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "12076091" if number == 1
replace hs8 = "12076098" if number == 2
drop newobs number


replace hs8 = "09102000" if crop == "SAFFRON"
replace hs8 = "07031079" if crop == "SHALLOT"

replace hs8 = "07069020" if crop == "SALSIFY/OYSTER-PLANT"
expand 3 if hs8 == "07069020", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07069027" if number == 1
replace hs8 = "07069028" if number == 2
drop newobs number


replace hs8 = "12122099" if crop == "SEAWEEDS/ALGAE"
expand 3 if hs8 == "12122099", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "12122989" if number == 1
drop newobs number


replace hs8 = "10070999" if crop == "SORGHUM"
expand 7 if hs8 == "10070999", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "10079010" if number == 1
replace hs8 = "10079020" if number == 2
replace hs8 = "10079028" if number == 3
replace hs8 = "10079038" if number == 4
replace hs8 = "10079039" if number == 5
replace hs8 = "10079089" if number == 6
drop newobs number


replace hs8 = "12010999" if crop == "SOYBEANS"
expand 6 if hs8 == "12010999", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "12019010" if number == 1
replace hs8 = "12019020" if number == 2
replace hs8 = "12019023" if number == 3
replace hs8 = "12019090" if number == 4
replace hs8 = "12019099" if number == 5
drop newobs number


replace hs8 = "11042912" if crop == "SPELT"

replace hs8 = "07097009" if crop == "SPINACH"
expand 3 if hs8 == "07097009", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07097011" if number == 1
replace hs8 = "07097019" if number == 2
drop newobs number


replace hs8 = "07097009" if crop == "SPINACH-NEW-ZEALAND"
expand 3 if hs8 == "07097009" & crop == "SPINACH-NEW-ZEALAND", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07097011" if number == 1
replace hs8 = "07097019" if number == 2
drop newobs number


replace hs8 = "08134080" if crop == "STONE-FRUIT: OTHER"
expand 3 if hs8 == "08134080", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "08134088" if number == 1
drop newobs number



replace hs8 = "08101010" if crop == "STRAWBERRIES"
expand 3 if hs8 == "08101010", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "08101019" if number == 1
replace hs8 = "08110999" if number == 2
drop newobs number


replace hs8 = "12129110" if crop == "SUGARBEET"
expand 2 if hs8 == "12129110", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "12129189" if number == 1
drop newobs number


replace hs8 = "12129310" if crop == "SUGARCANE"
expand 2 if hs8 == "12129310", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "12129389" if number == 1
drop newobs number


replace hs8 = "12149018" if crop == "SWEDES/TURNIP-SWEDISH/RUTABAGA"
expand 2 if hs8 == "12149018", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "12149090" if number == 1
drop newobs number


replace hs8 = "12060009" if crop == "SUNFLOWER: SEEDS"
expand 11 if hs8 == "12060009", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "12060020" if number == 1
replace hs8 = "12060023" if number == 2
replace hs8 = "12060024" if number == 3
replace hs8 = "12060030" if number == 4
replace hs8 = "12060039" if number == 5
replace hs8 = "12060040" if number == 6
replace hs8 = "12060041" if number == 7
replace hs8 = "12060057" if number == 8
replace hs8 = "12060061" if number == 9
replace hs8 = "12060069" if number == 10
drop newobs number


replace hs8 = "08052000" if crop == "TANGERINES"
expand 2 if hs8 == "08052000" & crop == "TANGERINES", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "08052100" if number == 1
drop newobs number


replace hs8 = "07144089" if crop == "TARO"

replace hs8 = "09020999" if crop == "TEA"
expand 4 if hs8 == "09020999", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "09022000" if number == 1
replace hs8 = "09022999" if number == 2
replace hs8 = "09024000" if number == 3
drop newobs number



replace hs8 = "07020009" if crop == "TOMATOES-CHERRY"
expand 4 if hs8 == "07020009", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07020010" if number == 1
replace hs8 = "07020018" if number == 2
drop newobs number


replace hs8 = "07020020" if crop == "TOMATOES"
expand 8 if hs8 == "07020020", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07020029" if number == 1
replace hs8 = "07020029" if number == 2
replace hs8 = "07020031" if number == 3
replace hs8 = "07020039" if number == 4
replace hs8 = "07020089" if number == 5
replace hs8 = "07020090" if number == 6
replace hs8 = "07020098" if number == 7
drop newobs number


replace hs8 = "07149019" if crop == "TOPINAMBUR/ARTICHOKE-JERUSALEM"
expand 2 if hs8 == "07149019", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07149080" if number == 1
drop newobs number


replace hs8 = "10086010" if crop == "TRITICALE"
expand 3 if hs8 == "10086010", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "10086038" if number == 1
replace hs8 = "10086049" if number == 2
drop newobs number


replace hs8 = "07061030" if crop == "TURNIP"
expand 2 if hs8 == "07061030", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07061038" if number == 1
drop newobs number


replace hs8 = "09050999" if crop == "VANILLA"
expand 2 if hs8 == "09050999", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "09052000" if number == 1
drop newobs number


replace hs8 = "08023109" if crop == "WALNUTS"
expand 6 if hs8 == "08023109", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "08023120" if number == 1
replace hs8 = "08023189" if number == 2
replace hs8 = "08023209" if number == 3
replace hs8 = "08023220" if number == 4
replace hs8 = "08023289" if number == 5
drop newobs number


replace hs8 = "08071099" if crop == "WATERMELONS"

replace hs8 = "10011099" if crop == "WHEAT"
expand 15 if hs8 == "10011099", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "10011909" if number == 1
replace hs8 = "10011920" if number == 2
replace hs8 = "10011928" if number == 3
replace hs8 = "10011939" if number == 4
replace hs8 = "10011939" if number == 5
replace hs8 = "10011989" if number == 6
replace hs8 = "10019099" if number == 7
replace hs8 = "10019910" if number == 8
replace hs8 = "10019921" if number == 9
replace hs8 = "10019929" if number == 10
replace hs8 = "10019931" if number == 11
replace hs8 = "10019938" if number == 12
replace hs8 = "10019940" if number == 13
replace hs8 = "10019990" if number == 14
drop newobs number



replace hs8 = "22041000" if crop == "WINE"
expand 31 if hs8 == "22041000", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "22042120" if number == 1
replace hs8 = "22042128" if number == 2
replace hs8 = "22042132" if number == 3
replace hs8 = "22042138" if number == 4
replace hs8 = "22042140" if number == 5
replace hs8 = "22042148" if number == 6
replace hs8 = "22042150" if number == 7
replace hs8 = "22042220" if number == 8
replace hs8 = "22042228" if number == 9
replace hs8 = "22042232" if number == 10
replace hs8 = "22042238" if number == 11
replace hs8 = "22042240" if number == 12
replace hs8 = "22042250" if number == 13
replace hs8 = "22042920" if number == 14
replace hs8 = "22042922" if number == 15
replace hs8 = "22042924" if number == 16
replace hs8 = "22042928" if number == 17
replace hs8 = "22042932" if number == 18
replace hs8 = "22042934" if number == 19
replace hs8 = "22042936" if number == 20
replace hs8 = "22042940" if number == 21
replace hs8 = "22042944" if number == 22
replace hs8 = "22042948" if number == 23
replace hs8 = "22042958" if number == 24
replace hs8 = "22043000" if number == 25
replace hs8 = "22051010" if number == 26
replace hs8 = "22051020" if number == 27
replace hs8 = "22059008" if number == 28
replace hs8 = "22059020" if number == 29
replace hs8 = "22060020" if number == 30
drop newobs number


replace hs8 = "07143010" if crop == "YAMS"
expand 2 if hs8 == "07143010", gen(newobs)
gen number = sum(newobs) 
replace hs8 = "07143090" if number == 1
drop newobs number


drop if hs8 == ""
sort crop

compress
drop crop cropgroup
duplicates drop

order hs8  country activ t
sort  hs8  country activ t


save "$SwissMRL/Data/mrl_data_v4", replace